View Issue Details

IDProjectCategoryView StatusLast Update
0000958SymmetricDSNew Featurepublic2014-02-02 20:53
ReporterdmolinaAssigned Tochenson 
PriorityhighSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.2.0 
Target Version3.4.0Fixed in Version3.4.0 
Summary0000958: JNDI DataSource Support
DescriptionIn J2EE environments, deploying an application as a war, is a best practise to delegate the database connection to the application server with JNDI.

I think that is important to reimplement this functionality.
TagsNo tags attached.

Activities

dmolina

2013-06-04 06:01

reporter   ~0000257

This functionality is not properly documented.

chenson

2013-06-04 11:57

administrator   ~0000258

I updated the 3.5 documentation. Thanks for pointing this out.

Related Changesets

SymmetricDS: master ec381ef5

2013-03-07 15:55:19

chenson

Details Diff
0000958: JNDI Support
Better log messages at server startup

0000958
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ClientSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/AbstractVersion.java Diff File

Issue History

Date Modified Username Field Change
2012-12-17 10:50 dmolina New Issue
2013-03-07 15:54 chenson Fixed in Version => 3.4.0
2013-03-07 15:54 chenson Target Version => 3.4.0
2013-03-07 15:54 chenson Status new => resolved
2013-03-07 15:54 chenson Resolution open => fixed
2013-03-07 15:54 chenson Assigned To => chenson
2013-04-21 09:10 chenson Summary JNDI Support => JNDI DataSource Support
2013-04-21 10:03 chenson Status resolved => closed
2013-06-04 06:01 dmolina Note Added: 0000257
2013-06-04 06:01 dmolina Status closed => feedback
2013-06-04 06:01 dmolina Resolution fixed => reopened
2013-06-04 11:57 chenson Note Added: 0000258
2013-06-04 11:57 chenson Status feedback => closed
2013-06-04 11:57 chenson Resolution reopened => fixed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6929
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master ec381ef5